gnome-vfs-sharp [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 71 EB 6C 55 75 52 9C BF 72 44 F7 A6 EA 05 62 84 F9 EA E0 3B CF F2 CC 13 2C 9C 49 0A B3 09 EA B0 B5 6B CE 44 9D F5 03 D9 C0 A8 1E 52 05 85 CD BE 70 E2 FB 90 43 4B AC 04 FA 62 22 A8 00 98 B7 A1 A7 B3 AF 99 1A 41 23 24 BB 43 25 F6 B8 65 BB 64 EB F6 D1 C2 06 D5 73 2D DF BC 70 A7 38 9E E5 3E 0C 24 6E 32 79 74 1A D0 05 03 E4 98 42 E1 9B F3 7B 19 8B 40 21 26 CB 36 89 C2 EA 64 96 A4 7C B4] 2.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. implementation using the Gnome.Vfs library.

The VfsStream class hides the Gnome.Vfs API from the developer. It uses the class and associated enums to access the representation of the passed in the constructor.

This class is particularly useful if you want to develop an application that wants to use Gnome.Vfs where available, but can't depend on it being available always. On platforms where Gnome.Vfs is not available, the application can fallback to a regular . This doesn't affect how the rest of the application deals with the stream since both implement the abstract class.

System.IO.Stream System.IDisposable
- Method
  System.Int32 Reads a byte from the stream and advances the position within the stream by one byte. a To be added
- Method
  System.Void `` Writes a single to the current position in the stream and advances the position by one byte. a to write to the stream. To be added
- Method
  System.Int32 `` `` `` Reads a sequence of bytes from the current stream and advances the position within the stream by the number of bytes read. a array. When this method returns, the elements between and + are replaced by the bytes read from the current stream. a that specifies the zero based byte offset in at which to begin storing the data read from the current stream. a that specifies the maximum number of bytes to be read from the stream. a that specifies the total number of bytes read into the buffer, or zero if the end of the stream has been reached before any data could be read. To be added
- Method
  System.IAsyncResult `` `` `` `` `` Begins an asynchronous read operation. the array to read the data into. a that specifies the byte offset in at which to begin writing data from the stream. a that specifies the maximum number of bytes to read from the stream. a that is called when the read operation has finished. an application-defined object, or . a that contains information about the asynchronous read operation, which could still be pending.

  This method starts an asynchronous read operation using the class.

  To wait until the operation has finished, you cannot use the since that will also block the Gnome.Vfs thread. Instead, use like this:

  `while (!asyncResult.IsCompleted) { GLib.MainContext.Iteration (); }`
- Method
  System.Int32 `` Ends a pending asynchronous read request. the object that references the pending asynchronous read request. a This method blocks until the read operation has finished.
- Method
  System.Void `` `` `` Writes a sequence of bytes to the current stream and advances the current position within the current stream by the number of bytes written. a array containing the data to write. a that specifies the zero based byte offset in at which to start copying bytes to the current stream. a that specifies the number of bytes to be written to the current stream. To be added
- Method
  System.IAsyncResult `` `` `` `` `` Begins an asynchronous write operation. the array to be written to the current stream. a that specifies the byte offset in at which to begin copying bytes to the current stream. a that specifies the maximum number of bytes to be written to the stream. a that is called when the write operation has finished. an application-defined object, or . a that represents the asynchronous write, which could still be pending.

  This method starts an asynchronous write operation using the class.

  To wait until the operation has finished, you cannot use the since that will also block the Gnome.Vfs thread. Instead, use like this:

  `while (!asyncResult.IsCompleted) { GLib.MainContext.Iteration (); }`
- Method
  System.Void `` Ends an asynchronous write operation. a object that references the pending asynchronous write operation. This method blocks until the write operation has finished.
- Method
  System.Int64 `` `` Sets the position within the current stream. a that specifies the byte offset relative to origin. a value indicating the reference point used to obtain the new position. a that specifies the new position within the current stream. This method only works for readable synchronous streams (see ).
- Method
  System.Void `` Sets the length of the current stream. a that specifies the desired length of the current stream in bytes. To be added
- Method
  System.Void Flushes the internal buffer. NOOP.
- Method
  System.Void Closes the current stream and releases any resources associated with the current stream. To be added
- Constructor
  Construct a new instance of the VfsStream with the specified .
  representing the to open.
  specifying how to open the .
  a
  The underlying file will be accessed synchronously using the class.
- Constructor
  Construct a new instance of the VfsStream with the specified . Based the async parameter, the file will be accessed (a)synchronously.
  representing the to open.
  specifying how to open the .
  whether to access the file (a)sychronously.
  a
  The underlying file will be accessed either by using the or class.
- Property
  System.Boolean value indicating whether the current stream supports reading. a To be added
- Property
  System.Boolean value indicating whether the current stream supports writing. a To be added
- Property
  System.Boolean value indicating whether the current stream supports seeking. a To be added
- Property
  System.Boolean value indicating whether the current stream is (a)synchronous. a To be added
- Property
  System.String Gets the representing the which this stream reads and writes from. a To be added
- Property
  System.Int64 Gets the length in bytes of the stream. a To be added
- Property
  System.Int64 Gets or sets the position within the current stream. a To be added